
#include <stdio.h>
#include <vector>

#include "SciDataParser.h"
#include "SciData.h"
#include "SciDataParser.h"
#include "Vector3.h"

using std::string;
using std::vector;

int main(void) {

   SciDataParser parser;

   parser.parseFile("data/HV_Grid_Undulating_Oxy_01.txt");

   vector<SciData> data = parser.getData();

   Vector3 tmp;

   for(int i = 0; i < data.size(); i++) {

      tmp = data[i].getLocation();
      printf("<%f, %f, %f>\t%f\n", tmp.x, tmp.y, tmp.z, data[i].getO2Concenration());

   }

   Vector3 minLoc, maxLoc;
   double minO2, maxO2;

   minLoc = parser.getMinLoc();
   maxLoc = parser.getMaxLoc();

   minO2 = parser.getMinO2();
   maxO2 = parser.getMaxO2();

   printf("\n");
   printf("Min Location: <%f, %f, %f>\n", minLoc.x, minLoc.y, minLoc.z);
   printf("Max Location: <%f, %f, %f>\n", maxLoc.x, maxLoc.y, maxLoc.z);
   printf("Min O2 Level: %f\n", minO2);
   printf("Max O2 Level: %f\n", maxO2);
   

   return 0;
}
